#
# spec file for package vpnc (Version 0.5.2r394)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           vpnc
Group:          Productivity/Networking/Security
BuildRequires:  libgcrypt-devel
Version:        0.5.2r394
Release:        6.2.1
License:        BSD3c(or similar) ; GPLv2+
AutoReqProv:    on
Summary:        A Client for Cisco VPN concentrator
Requires:       /usr/bin/sed /sbin/ip
Source:         %{name}-%{version}.tar.bz2
Patch1:         vpnc-patch_nortel_auth_394.txt.diff
Patch2:         vpnc-nortel-attributes.diff
Patch3:         vpnc-nortel-fix-segfault.diff
Patch4:         bug555577.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A VPN client compatible with Cisco's EasyVPN equipment.

Cisco 3000, IOS routers, PIX/ASA Zecurity Appliances, and
Juniper/Netscreen as well as Nortel Contivity (experimental).

Supported Authentications: Pre-Shared-Key + XAUTH, Pre-Shared-Key
Supported IKE DH-Groups: dh1 dh2 dh5 Supported Hash Algo (IKE/IPSEC):
md5 sha1 Supported Encryptions (IKE/IPSEC): (null) (1des) 3des aes128
aes192 aes256 Perfect Forward Secrecy: nopfs dh1 dh2 dh5

It runs entirely in userspace and uses the TUN/TAP driver for access.



Authors:
--------
    Maurice Massar <vpnc at unix-ag dot uni-kl dot de>
    Eduard Bloch <blade at debian dot org>

%prep
%setup -n %{name}-%{version}
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
%{__make} \
	CFLAGS="$RPM_OPT_FLAGS" \
	PREFIX=/usr

%install
mkdir -p \
	${RPM_BUILD_ROOT}/%{_localstatedir}/run/vpnc
%{__make} install \
	DESTDIR=${RPM_BUILD_ROOT} \
	PREFIX=/usr
# Use chmod as %attr doesn't work for %doc maked files in the list
touch ${RPM_BUILD_ROOT}/%{_localstatedir}/run/vpnc/{defaultroute,gateway,pid,resolv.conf-backup} || true
rm -rfv ${RPM_BUILD_ROOT}/usr/share/doc/vpnc

%clean

%files
%defattr(-,root,root)
%attr(0600,root,root) %config(noreplace) %ghost %{_sysconfdir}/vpnc/default.conf
%dir %{_sysconfdir}/vpnc
%{_sysconfdir}/vpnc/vpnc-script
%{_sbindir}/vpnc
%{_sbindir}/vpnc-disconnect
%{_bindir}/cisco-decrypt
%{_bindir}/pcf2vpnc
%{_mandir}/man1/cisco-decrypt.1.*
%{_mandir}/man1/pcf2vpnc.1.*
%{_mandir}/man8/vpnc.8.*
%dir %{_localstatedir}/run/vpnc
%ghost %{_localstatedir}/run/vpnc/defaultroute
%ghost %{_localstatedir}/run/vpnc/gateway
%ghost %{_localstatedir}/run/vpnc/pid
%ghost %{_localstatedir}/run/vpnc/resolv.conf-backup
%doc ChangeLog COPYING README TODO VERSION

%changelog
* Mon Feb  1 2010 tittiatcoke@gmail.com
- vpnc: connection lock-up (bnc#555577)
* Wed Aug 26 2009 tittiatcoke@gmail.com
- adjusted group to Productivity/Networking/Security
* Sat Jul 18 2009 tittiatcoke@gmail.com
- disabled the patch to send intial packages twice. This does not
  always work.
* Thu Jan 29 2009 seife@suse.de
- fix segfault in the non-nortel case (bnc#468789)
* Thu Jan 29 2009 seife@suse.de
- update the nortel-grouppasswdauth patch.
  ATTENTION! nortel users have to change "Nortel Auth Mode" to
  "IKE Authmode" in their config file.
- add a patch to send initial packages twice, makes connection
  setup more robust against packet loss
* Sun Jan 18 2009 seife@suse.de
- replace vpnc-nortel-grouppasswordauth.diff with the patch that's
  scheduled for upstream inclusion
* Thu Jan  8 2009 seife@suse.de
- fix rpmlint warnings
* Mon Jan  5 2009 seife@suse.de
- add vpnc-nortel-attributes.diff, to accept split tunnel configs
  from the server
* Mon Jan  5 2009 seife@suse.de
- update to current SVN, using the "nortel" branch.
- add a patch for nortel group password authentication
* Thu Jan 17 2008 lmuelle@suse.de
- Use the real FULL_SCRIPTNAME.
* Mon Jan 14 2008 lmuelle@suse.de
- Update to version 0.5.1.
  + Link against -lcrypto instead of -lssl.
  + Fixed crashes on 64bit platforms.
  + Dead-Peer-Detection support.
  + Hybrid-Auth support.
  + Rekeying support; [#134480].
- Use upstream default location for vpnc-script.
* Sat Nov 11 2006 aj@suse.de
- Fix permissions of man files.
- Compile with RPM_OPT_FLAGS.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Aug 11 2005 lmuelle@suse.de
- Install the example configuration as example.conf in the doc dir.
* Thu Aug 11 2005 lmuelle@suse.de
- Install vpnc.conf no longer as default.conf while keeping default.conf as
  %%config(noreplace) and %%ghost in the package list; [#103856].
* Thu May 19 2005 lmuelle@suse.de
- Update to version 0.3.3; [#72234].
* Tue Nov 23 2004 lmuelle@suse.de
- Update to version 0.3.2.
- Remove most parts of the vpnc-connect diff, [#46931].
* Thu Oct 14 2004 mc@suse.de
- removed depcomp from filelist [#47074]
* Sat Aug  7 2004 lmuelle@suse.de
- Update to version 0.2-rm+zomb.1; [#43525].
* Mon Jul 26 2004 ro@suse.de
- added libgcrypt-devel, libgpg-error-devel to neededforbuild
* Sat May  8 2004 lmuelle@suse.de
- Update to version 0.2-rm+zomb-pre9.
* Fri Apr 16 2004 lmuelle@suse.de
- add man page and connect and disconnect script patches provided by Eduard
  Bloch <blade at debian dot org>
- add /etc/vpnc directory for additional configuration files
- rename /etc/wlan.conf to /etc/vpnc/default.conf
* Mon Apr 12 2004 lmuelle@suse.de
- inital SuSE RPM
